summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorLeif Lindholm <leif.lindholm@linaro.org>2015-07-28 17:43:13 +0100
committerLeif Lindholm <leif.lindholm@linaro.org>2015-07-28 17:45:47 +0100
commit03273664e91b1b5b5750899f1bdd070bfd40b226 (patch)
tree96e11ce6616f8ac20091fa227f01e2a4f5f72ac6
parent692497505f95a5c20365f7b0e0ff186506073234 (diff)
Add scrape-bugzilla.sh
Utility for producing textile-formatted list of open bugs for montly release notes. In the future it may even do closed/resolved ones! Signed-off-by: Leif Lindholm <leif.lindholm@linaro.org>
-rw-r--r--remotes.cfg2
-rwxr-xr-xscrape-bugzilla.sh41
-rw-r--r--topics.cfg2
3 files changed, 43 insertions, 2 deletions
diff --git a/remotes.cfg b/remotes.cfg
index 589e6be..d6d79cf 100644
--- a/remotes.cfg
+++ b/remotes.cfg
@@ -1,4 +1,4 @@
-git://git.linaro.org/arm/uefi/edk2-topics.git
git://git.linaro.org/leg/edk2.git
git://git.linaro.org/landing-teams/working/hisilicon/uefi.git
https://github.com/varadgautam/edk2.git
+https://github.com/mlangsdorf/linaro-edk2.git
diff --git a/scrape-bugzilla.sh b/scrape-bugzilla.sh
new file mode 100755
index 0000000..087d5fd
--- /dev/null
+++ b/scrape-bugzilla.sh
@@ -0,0 +1,41 @@
+#!/bin/sh
+#
+# scrape-bugzilla.sh: Extract textile-formatted list of bugs for release note
+#
+
+TEMPFILE=""
+BUGZILLA_URL=https://bugs.linaro.org/xmlrpc.cgi
+
+cleanup()
+{
+ rm "$TEMPFILE"
+}
+
+bugz --version >/dev/null 2>&1
+if [ $? -ne 0 ]; then
+cat >&2 << EOF
+Can't find the 'bugz' utility.
+ try 'sudo apt-get install bugz'
+ or 'yum/dnf install pybugz'
+ or download the source from https://github.com/williamh/pybugz
+EOF
+ exit 1
+fi
+
+TEMPFILE=`tempfile`
+
+bugz -q -b "$BUGZILLA_URL" --columns=256 search --product UEFI > "$TEMPFILE"
+if [ $? -ne 0 ]; then
+ echo "Error scraping bugzilla!" >&2
+ cleanup
+ exit 1
+fi
+
+cat "$TEMPFILE" | while read line
+do
+ ID="`echo $line | cut -d\" \" -f1`"
+ DESC="`echo $line | cut -d\" \" -f3-`"
+ printf "* \"BZ: #%d\":https://bugs.linaro.org/show_bug.cgi?id=%d %s\n" $ID $ID "$DESC"
+done
+
+cleanup
diff --git a/topics.cfg b/topics.cfg
index 540ee1f..e920df2 100644
--- a/topics.cfg
+++ b/topics.cfg
@@ -1,4 +1,4 @@
# Any topics that fails to merge and need to be kept out of this cycle.
# If the same topic is broken for two consecutive cycles, it should be
# considered for deletion.
-TOPIC_BLACKLIST=
+TOPIC_BLACKLIST="linaro-platform-leg-mustang linaro-platform-mustang-redhat"